net.sf.okapi.common.annotation

## Class ITSLQIAnnotations

- java.lang.Object
- - net.sf.okapi.common.resource.InlineAnnotation
  - - net.sf.okapi.common.annotation.GenericAnnotations
    - - net.sf.okapi.common.annotation.ITSLQIAnnotations

- All Implemented Interfaces:
    java.lang.Iterable<GenericAnnotation>, IAnnotation

      public class ITSLQIAnnotations
      extends GenericAnnotations

  Annotation for ITS Language Quality Issue meta-data. Allows for a unique ID to associated with the ITSLQIAnnotations class when attached as an IAnnotation in the Annotations class. This is necessary for resolving standoff meta-data.

- - ### Field Summary

    - ### Fields inherited from class net.sf.okapi.common.resource.InlineAnnotation

      `CLASSNAME_SEPARATOR, data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITSLQIAnnotations()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addAnnotations(ITextUnit tu, ITSLQIAnnotations newSet)` Adds an ITSLQIAnnotations to a text unit.
    `static void` | `addAnnotations(TextContainer tc, GenericAnnotation issue)` Adds an LQI annotation to a text container.
    `static void` | `addAnnotations(TextContainer tc, ITSLQIAnnotations newSet)` Adds an ITSLQIAnnotations to a text container.

    - ### Methods inherited from class net.sf.okapi.common.annotation.GenericAnnotations

      `add, add, addAll, addAll, addAnnotations, addAnnotations, clear, clone, createFromString, fromString, getAllAnnotations, getAnnotations, getFirstAnnotation, hasAnnotation, iterator, remove, size, toString`

    - ### Methods inherited from class net.sf.okapi.common.resource.InlineAnnotation

      `getData, setData`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ITSLQIAnnotations

          public ITSLQIAnnotations()

  - ### Method Detail

    - #### addAnnotations

          public static void addAnnotations(ITextUnit tu,
                                            ITSLQIAnnotations newSet)

      Adds an ITSLQIAnnotations to a text unit.
      Parameters:
        `tu` - the text unit where to add the annotations.
        `newSet` - the set of annotations to add.

    - #### addAnnotations

          public static void addAnnotations(TextContainer tc,
                                            ITSLQIAnnotations newSet)

      Adds an ITSLQIAnnotations to a text container.
      Parameters:
        `tc` - the text container where to add the annotations.
        `newSet` - the set of annotations to add.

    - #### addAnnotations

          public static void addAnnotations(TextContainer tc,
                                            GenericAnnotation issue)

      Adds an LQI annotation to a text container.
      Parameters:
        `tc` - the text container where to add the annotations.
        `issue` - the annotation to add.